<form method="POST" id="id_form" class="card-content">

    <div class="card-header">
        <button type="submit" name="id_save" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/floppy-disk-solid.svg') }}" />
        </button>
        <label for="id_input" class="card-title">ID</label>
        <button type="submit" name="id_help" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/circle-question-solid.svg') }}" />
        </button>
    </div>

    <div class="card-btn-row">
        {% for id_type in RecordIdType %}
            <button type="submit" name="id_type_input" value="{{ id_type.name }}"
                    class="btn-unstyled card-btn card-btn-sub50
                        {% if user_records.id.id_type == id_type %} card-btn-active{% endif %}">
                {{ id_type.name }}
            </button>
        {% endfor %}
    </div>

    <div class="card-btn-row card-btn-seg20">
        {% if user_records.id.id_type == RecordIdType['FormID'] %}
            <input type="text" id="mod_input" class="card-input" name="mod_input" placeholder="Mod name (with extension)" onfocus="this.select()" value="{{ user_records.id.mod }}">
        {% endif %}
    </div>

    <div class="card-btn-row card-btn-seg20">
        <input type="text" id="id_input" class="card-input" name="id_input" placeholder="RecordID" onfocus="this.select()"
                {% if user_records.id.id_type == RecordIdType['FormID'] %}
                    value="{{ user_records.id.form_id.value }}"
                {% elif user_records.id.id_type == RecordIdType['EditorID'] %}
                    value="{{ user_records.id.editor_id }}"
                {% endif %}>
    </div>

</form>

<!-- Blocage de l'envoi du formulaire via touche 'Entrée' -->
<script>
    const form = document.getElementById('id_form');
    const input = form.querySelector('input[name="id_input"]');
    
    input.addEventListener('keydown', event => {
      if (event.key === 'Enter') {
        event.preventDefault();
      }
    });
</script>


<!-- ---------- NOTES ----------

RecordID is the unique identifier of the record you want to distribute. Two versions are supported:
-FormID~esp
===> FormID is the formID of the distributable record with leading zero digits removed (eg. 0x12345)
===> esp is the name of the mod containing the record (MyMod.esp/esl/esm). This is not necessary for Skyrim and DLC records.
-EditorID is the form editorID of the record displayed in CK or xEdit. This is generally preferred since formIDs can change when the mod is merged or converted into esl.

;this will add a custom keyword, ActorTypePoor to Brenuin
Keyword = ActorTypePoor|Brenuin -->
